io.vertx.rxjava.ext.auth.oauth2

## Class AccessToken

- java.lang.Object
- - io.vertx.rxjava.ext.auth.User
  - - io.vertx.rxjava.ext.auth.oauth2.AccessToken

-     public class AccessToken
      extends User

  AccessToken extension to the User interface

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<AccessToken>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessToken(AccessToken delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `expired()` Check if the access token is expired or not.
    `AccessToken` | `getDelegate()`
    `AccessToken` | `introspect(Handler<AsyncResult<Void>> callback)` Introspect access token.
    `rx.Observable<Void>` | `introspectObservable()` Deprecated. use `rxIntrospect()` instead
    `AccessToken` | `logout(Handler<AsyncResult<Void>> callback)` Revoke refresh token and calls the logout endpoint.
    `rx.Observable<Void>` | `logoutObservable()` Deprecated. use `rxLogout()` instead
    `static AccessToken` | `newInstance(AccessToken arg)`
    `AccessToken` | `refresh(Handler<AsyncResult<Void>> callback)` Refresh the access token
    `rx.Observable<Void>` | `refreshObservable()` Deprecated. use `rxRefresh()` instead
    `AccessToken` | `revoke(String token_type, Handler<AsyncResult<Void>> callback)` Revoke access or refresh token
    `rx.Observable<Void>` | `revokeObservable(String token_type)` Deprecated. use `rxRevoke(java.lang.String)` instead
    `rx.Single<Void>` | `rxIntrospect()` Introspect access token.
    `rx.Single<Void>` | `rxLogout()` Revoke refresh token and calls the logout endpoint.
    `rx.Single<Void>` | `rxRefresh()` Refresh the access token
    `rx.Single<Void>` | `rxRevoke(String token_type)` Revoke access or refresh token

    - ### Methods inherited from class io.vertx.rxjava.ext.auth.User

      `clearCache, isAuthorised, isAuthorisedObservable, newInstance, principal, rxIsAuthorised, setAuthProvider`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<AccessToken> __TYPE_ARG

  - ### Constructor Detail

    - #### AccessToken

          public AccessToken(AccessToken delegate)

  - ### Method Detail

    - #### getDelegate

          public AccessToken getDelegate()

      Overrides:
        `getDelegate` in class `User`

    - #### expired

          public boolean expired()

      Check if the access token is expired or not.
      Returns:

    - #### refresh

          public AccessToken refresh(Handler<AsyncResult<Void>> callback)

      Refresh the access token
      Parameters:
        `callback` - - The callback function returning the results.
      Returns:

    - #### refreshObservable

          @Deprecated
          public rx.Observable<Void> refreshObservable()

      Deprecated. use `rxRefresh()` instead
      Refresh the access token
      Returns:

    - #### rxRefresh

          public rx.Single<Void> rxRefresh()

      Refresh the access token
      Returns:

    - #### revoke

          public AccessToken revoke(String token_type,
                                    Handler<AsyncResult<Void>> callback)

      Revoke access or refresh token
      Parameters:
        `token_type` - - A String containing the type of token to revoke. Should be either "access_token" or "refresh_token".
        `callback` - - The callback function returning the results.
      Returns:

    - #### revokeObservable

          @Deprecated
          public rx.Observable<Void> revokeObservable(String token_type)

      Deprecated. use `rxRevoke(java.lang.String)` instead
      Revoke access or refresh token
      Parameters:
        `token_type` - - A String containing the type of token to revoke. Should be either "access_token" or "refresh_token".
      Returns:

    - #### rxRevoke

          public rx.Single<Void> rxRevoke(String token_type)

      Revoke access or refresh token
      Parameters:
        `token_type` - - A String containing the type of token to revoke. Should be either "access_token" or "refresh_token".
      Returns:

    - #### logout

          public AccessToken logout(Handler<AsyncResult<Void>> callback)

      Revoke refresh token and calls the logout endpoint. This is a openid-connect extension and might not be available on all providers.
      Parameters:
        `callback` - - The callback function returning the results.
      Returns:

    - #### logoutObservable

          @Deprecated
          public rx.Observable<Void> logoutObservable()

      Deprecated. use `rxLogout()` instead
      Revoke refresh token and calls the logout endpoint. This is a openid-connect extension and might not be available on all providers.
      Returns:

    - #### rxLogout

          public rx.Single<Void> rxLogout()

      Revoke refresh token and calls the logout endpoint. This is a openid-connect extension and might not be available on all providers.
      Returns:

    - #### introspect

          public AccessToken introspect(Handler<AsyncResult<Void>> callback)

      Introspect access token. This is an OAuth2 extension that allow to verify if an access token is still valid.
      Parameters:
        `callback` - - The callback function returning the results.
      Returns:

    - #### introspectObservable

          @Deprecated
          public rx.Observable<Void> introspectObservable()

      Deprecated. use `rxIntrospect()` instead
      Introspect access token. This is an OAuth2 extension that allow to verify if an access token is still valid.
      Returns:

    - #### rxIntrospect

          public rx.Single<Void> rxIntrospect()

      Introspect access token. This is an OAuth2 extension that allow to verify if an access token is still valid.
      Returns:

    - #### newInstance

          public static AccessToken newInstance(AccessToken arg)

Copyright © 2017. All rights reserved.